Subject: Bug#586: [X2Go-Dev] Bug#586: Bug#586: X2Go session sometimes slows to a crawl

From: Milan Knížek <[email-masked]>
Date: Wed, 22 Oct 2014 11:11:31 +0200

> 
> 
> > After a while of running, the session can slow down so that the
> > environment reacts very slowly, window changes come only after seconds,
> > and mouse clicks or keyboard presses only register after several
> > seconds, too. This happens even if there is no significant load on the
> > server machine.
> > 
> > On occasion, the session can actually recover from this state.

In PyHoca-GUI + Win 7 (I have used it for about one month now), it seems
to be more stable and the "slow-down" problem appears less often.

The following might be related: when I open any keepass window, the
window (db unlock, item display, whatever) is not drawn properly
initially - some parts are not drawn and instead the contents of another
window in the background is shown.
At the same moment all x2go windows freeze for about 30 seconds and then
all the apps (including keepass) continue to work normally. The
originally scattered contents of keepass window is eventually drawn
properly too.
Keepass is a Mono app.

Milan